Creates a new Catalog Entity from provided data
curl --request POST \
--url https://api.rootly.com/v1/catalogs/{catalog_id}/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_entities",
"attributes": {
"name": "<string>",
"description": "<string>",
"position": 123,
"fields": [
{
"catalog_field_id": "<string>",
"value": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_entities",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"fields": [
{
"catalog_field_id": "<string>",
"value": "<string>"
}
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
catalog_entity created with fields attribute
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/catalogs/{catalog_id}/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_entities",
"attributes": {
"name": "<string>",
"description": "<string>",
"position": 123,
"fields": [
{
"catalog_field_id": "<string>",
"value": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_entities",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"fields": [
{
"catalog_field_id": "<string>",
"value": "<string>"
}
]
}
}
}